## meld 3.18.0

=== debian/changelog ===
meld (3.18.0-6) unstable; urgency=medium

  * Handle terminating diffing subprocesses to avoid severe memory leak
    (LP: #1738296)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 24 Apr 2018 12:58:18 +0200

meld (3.18.0-5) unstable; urgency=medium

  * Build-Depend on python3-distutils (Closes: #896764)
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Apr 2018 06:39:16 -0400

meld (3.18.0-4) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Add vc.bzr-Fix-py3k-None-ordering-bgo-788487.patch:
    - Cherry-pick patch to fix diffs for bzr

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 19:34:01 -0500

meld (3.18.0-3) unstable; urgency=medium

  * debian/control.in:
    - Build-Depend on python3-gi for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 15:11:06 -0400

meld (3.18.0-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Drop excessive spaces and unsupported version control systems from
    description (Closes: #878120)

  [ Jeremy Bicha ]
  * Switch from cdbs to dh and pybuild
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1
  * Drop obsolete Build-Depends on scrollkeeper

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 14:30:55 -0400

meld (3.18.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/watch: Only watch for stable releases

  [ Balint Reczey ]
  * New major upstream release (Closes: #856898, #865791)
  * Build-depend on python3 (>=3.3~) instead of python
  * Bump dependencies to python3-gi (>= 3.14) and python3-gi-cairo
  * Bump X-Python-Version to >= 3.3

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 17 Sep 2017 00:25:48 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: meld
Section: gnome
Priority: optional
Maintainer: Balint Reczey <rbalint@ubuntu.com>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               python3 (>=3.3~),
               python3-distutils,
               python3-gi (>= 3.14) <!nocheck>,
               dh-python,
               intltool,
               itstool,
               libxml2-utils,
               gnome-pkg-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/meld
Vcs-Git: https://salsa.debian.org/gnome-team/meld.git
Homepage: http://meldmerge.org
X-Python3-Version: >= 3.3

Package: meld
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         libgtk-3-0 (>= 3.14),
         python3-gi (>= 3.14),
         libgtksourceview-3.0-1 (>= 3.14),
         gir1.2-gtksource-3.0 (>= 3.14),
         python3-gi-cairo,
         libcanberra-gtk3-module,
         patch
Recommends: yelp
Description: graphical tool to diff and merge files
 Meld is a graphical diff viewer and merge application for the GNOME
 desktop. It supports 2 and 3-file diffs, recursive  directory diffs,
 diffing of directories under version control (Bazaar, Codeville, CVS,
 Darcs, Fossil SCM, Git, Mercurial, Monotone, Subversion), as well as
 the ability to manually and automatically merge file differences.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=meld

%:
	dh $@ --with gnome,python3 --buildsystem=pybuild

override_dh_install:
	find debian/meld -name 'COPYING' -delete
	rm -rf debian/meld/usr/share/doc/meld-*
	dh_install

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468]+)/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## meld 3.18.2

=== debian/changelog ===
meld (3.18.2-1) unstable; urgency=medium

  * New upstream release (Closes: #901593) (LP: #1768369)
   - Fix incorrect state handling during tab close (Kai Willadsen)
   - Fix commit action on a folder not working in git (Kai Willadsen)
   - The Find bar now hides when pressing Escape (Vladimir Panteleev)
   - Translation and help fixes (Piotr Drąg)
   - Handle subprocess termination better in file comparisons (Kai Willadsen)
   - Fix committing selected files only in Mercurial (Kai Willadsen)
   - Fix Bazaar version control backend (Kai Willadsen)
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 19 Jun 2018 23:30:39 +0200

## meld 3.20.0

=== debian/changelog ===
meld (3.20.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Add python3-distutils-extra as alternate build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Mar 2019 12:15:51 -0800

meld (3.20.0-2) unstable; urgency=medium

  * Re-add (build-)dependency on python3-gi-cairo (Closes: #919774)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 21 Jan 2019 15:29:25 +0700

meld (3.20.0-1) unstable; urgency=medium

  * New major upstream release
    - Don't raise StopIteration for Python 3.7 compat (Closes: #916842)
    - Make multiple --diff parameters work again (Closes: #865298)
    - Multiple other fixes and improvements
  * Refresh patches
  * Stop shipping README since upstream stopped shipping it, too
  * Update (build-)dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 13 Jan 2019 15:00:43 +0700

meld (3.18.3-1) unstable; urgency=medium

  * New upstream release
   - Fix initial focus pane for two-pane comparison (Kai Willadsen)
   - Remove encoding fallback check that caused surrogate issues (Kai Willadsen)
   - Fix display of file encoding errors in folder comparison (Kai Willadsen)
   - Fix Git unpushed commit check for ambiguous filenames (Kai Willadsen)
   - Translation updates
  * debian/control: Drop X-Python3-Version field with ancient version

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 01 Dec 2018 23:42:55 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: meld
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Balint Reczey <rbalint@ubuntu.com>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Loic Minier <lool@dooz.org>, Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 10),
               python3 (>=3.4~),
               python3-distutils | python3-distutils-extra,
               python3-gi (>= 3.20) <!nocheck>,
               dh-python,
               intltool,
               itstool,
               libxml2-utils,
               gnome-pkg-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/meld
Vcs-Git: https://salsa.debian.org/gnome-team/meld.git
Homepage: http://meldmerge.org

Package: meld
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         libgtk-3-0 (>= 3.20),
         python3-gi (>= 3.20),
         python3-gi-cairo,
         libgtksourceview-3.0-1 (>= 3.20),
         gir1.2-gtksource-3.0 (>= 3.20),
         python3-cairo,
         libcanberra-gtk3-module,
         patch
Recommends: yelp
Description: graphical tool to diff and merge files
 Meld is a graphical diff viewer and merge application for the GNOME
 desktop. It supports 2 and 3-file diffs, recursive  directory diffs,
 diffing of directories under version control (Bazaar, Codeville, CVS,
 Darcs, Fossil SCM, Git, Mercurial, Monotone, Subversion), as well as
 the ability to manually and automatically merge file differences.

## meld 3.20.1

=== debian/changelog ===
meld (3.20.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 10:09:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: meld
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Balint Reczey <rbalint@ubuntu.com>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Loic Minier <lool@dooz.org>, Ross Burton <ross@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Balint Reczey <rbalint@ubuntu.com>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
+           Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               dh-sequence-python3,
                python3 (>=3.4~),
-               python3-distutils | python3-distutils-extra,
+               python3-distutils,
                python3-gi (>= 3.20) <!nocheck>,
-               dh-python,
                intltool,
                itstool,
-               libxml2-utils,
-               gnome-pkg-tools
-Standards-Version: 4.1.4
+               libxml2-utils
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/meld
 Vcs-Git: https://salsa.debian.org/gnome-team/meld.git
 Homepage: http://meldmerge.org

## meld 3.20.2

=== debian/changelog ===
meld (3.20.2-2) unstable; urgency=medium

  * Build-depend on python3-distro (Closes: #959566)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 11 May 2020 15:11:35 +0200

meld (3.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Feb 2020 15:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                dh-sequence-gnome,
                dh-sequence-python3,
                python3 (>=3.4~),
+               python3-distro,
                python3-distutils,
                python3-gi (>= 3.20) <!nocheck>,
                intltool,

## meld 3.20.3

=== debian/changelog ===
meld (3.20.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - Fix Subversion comparsion on Python 3.9 (Closes: #983851)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Mar 2021 20:45:23 +0100

## meld 3.20.4

=== debian/changelog ===
meld (3.20.4-2) unstable; urgency=medium

  * Team Upload
  * debian/control: Don't depend on libcanberra-gtk3-module.
    It is not needed for meld (anymore). (Closes: #996602)
  * debian/control: Make the GNOME team the maintainer removing myself
    from that role
  * debian/control: Bump debhelper compat version to 13
  * debian/copyright: Update removed/renamed files

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 01 Jan 2022 22:24:44 +0100

meld (3.20.4-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Add copyright for AppStream metadata

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Sep 2021 15:28:02 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: meld
 Section: gnome
 Priority: optional
-Maintainer: Balint Reczey <rbalint@ubuntu.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
-           Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                python3 (>=3.4~),
@@ -33,7 +32,6 @@
          libgtksourceview-3.0-1 (>= 3.20),
          gir1.2-gtksource-3.0 (>= 3.20),
          python3-cairo,
-         libcanberra-gtk3-module,
          patch
 Recommends: yelp
 Description: graphical tool to diff and merge files

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=meld

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_install:
	find debian/meld -name 'COPYING' -delete
	rm -rf debian/meld/usr/share/doc/meld-*

## meld 3.22.0

=== debian/changelog ===
meld (3.22.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Add debian/upstream/metadta

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 15:19:09 -0500

meld (3.22.0-1) unstable; urgency=medium

  * New upstream release
  * Build with meson instead of pybuild
  * Switch from gtksourceview3 to gtksourceview4
  * debian/control.in: Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 10:02:58 -0400

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,24 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
-               python3 (>=3.4~),
-               python3-distro,
-               python3-distutils,
-               python3-gi (>= 3.20) <!nocheck>,
+               libgtk-3-dev,
+               libgtksourceview-4-dev,
+               meson (>= 0.49.0),
+               libpython3-dev,
+               python-gi-dev (>= 3.30),
+               python3-cairo-dev,
                intltool,
                itstool,
                libxml2-utils
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/meld
 Vcs-Git: https://salsa.debian.org/gnome-team/meld.git
-Homepage: http://meldmerge.org
+Homepage: https://meldmerge.org
 
 Package: meld
 Architecture: all
@@ -29,9 +32,7 @@
          libgtk-3-0 (>= 3.20),
          python3-gi (>= 3.20),
          python3-gi-cairo,
-         libgtksourceview-3.0-1 (>= 3.20),
-         gir1.2-gtksource-3.0 (>= 3.20),
-         python3-cairo,
+         gir1.2-gtksource-4,
          patch
 Recommends: yelp
 Description: graphical tool to diff and merge files

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## meld 3.22.2

=== data/icons/Makefile ===

all:
	convert -background transparent hicolor/scalable/apps/org.gnome.Meld.svg -define icon:auto-resize=16,22,32,48 org.gnome.meld.ico

=== debian/changelog ===
meld (3.22.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Oct 2024 15:05:24 -0400

meld (3.22.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 12:09:55 -0400

meld (3.22.1-2) unstable; urgency=medium

  * Replace Depends: libgtk-3-0 with gir1.2-gtk-3.0 (Closes: #1067193)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 16:52:04 -0400

meld (3.22.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 16:32:18 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

execute_before_dh_install:
	find debian/meld -name 'COPYING' -delete

## meld 3.22.3

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: ['', 'Devel'],
  description: 'Build with specified application ID',
)
option(
  'byte-compile',
  type: 'boolean',
  value: true,
  description: 'Byte-compile installed Python source files',
)

=== debian/changelog ===
meld (3.22.3-2) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Update Homepage
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Jan 2026 17:28:36 -0500

meld (3.22.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1092451, #1091977)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 16:13:44 -0900

=== debian/control ===
Source: meld
Section: gnome
Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libgtk-3-dev,
               libgtksourceview-4-dev,
               meson (>= 0.49.0),
               libpython3-dev,
               python-gi-dev (>= 3.30),
               python3-cairo-dev,
               intltool,
               itstool,
               libxml2-utils
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/extras/meld
Vcs-Git: https://salsa.debian.org/gnome-team/extras/meld.git
Homepage: https://meld.app

Package: meld
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0,
         python3-gi (>= 3.20),
         python3-gi-cairo,
         gir1.2-gtksource-4,
         patch
Recommends: yelp
Description: graphical tool to diff and merge files
 Meld is a graphical diff viewer and merge application for the GNOME
 desktop. It supports 2 and 3-file diffs, recursive  directory diffs,
 diffing of directories under version control (Bazaar, Codeville, CVS,
 Darcs, Fossil SCM, Git, Mercurial, Monotone, Subversion), as well as
 the ability to manually and automatically merge file differences.
